# Function rocrand4()

- Defined in File rocrand_philox4x32_10.h

## Function Documentation

Warning

doxygenfunction: Unable to resolve function “rocrand4” with arguments “()”. Candidate function could not be parsed. Parsing error is Error when parsing function declaration. If the function has no return type: Error in declarator or parameters-and-qualifiers Invalid C++ declaration: Expecting “(” in parameters-and-qualifiers. [error at 12] FQUALIFIERS uint4 rocrand4 (rocrand_state_threefry4x32_20 *state) ————^ If the function has a return type: Error in declarator or parameters-and-qualifiers If pointer to member declarator: Invalid C++ declaration: Expected ‘::’ in pointer to member (function). [error at 18] FQUALIFIERS uint4 rocrand4 (rocrand_state_threefry4x32_20 *state) ——————^ If declarator-id: Invalid C++ declaration: Expecting “(” in parameters-and-qualifiers. [error at 18] FQUALIFIERS uint4 rocrand4 (rocrand_state_threefry4x32_20 *state) ——————^